# This file created by conda-build 24.1.2
# ------------------------------------------------

package:
  name: faiss-cpu
  version: 1.8.0
source:
  git_url: /Users/distiller/project
build:
  number: 0
  string: py3.9_hbe593ad_0_cpu
requirements:
  build:
    - bzip2 1.0.8 h80987f9_5
    - c-ares 1.19.1 h80987f9_0
    - ca-certificates 2023.12.12 hca03da5_0
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - cmake 3.26.4 h5d7ac33_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - expat 2.5.0 h313beb8_0
    - krb5 1.20.1 hf3e1bf2_1
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.5 h20b2a84_3
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcurl 8.5.0 h3e2b118_0
    - libcxx 14.0.6 h848a8c0_0
    - libedit 3.1.20230828 h80987f9_0
    - libev 4.33 h1a28f6b_1
    - libffi 3.4.4 hca03da5_0
    - libllvm14 14.0.6 h7ec7a93_3
    - libnghttp2 1.57.0 h62f6fdd_0
    - libssh2 1.10.0 h02f6b3c_2
    - libuv 1.44.2 h80987f9_0
    - llvm-tools 14.0.6 hfd8c8a6_3
    - lz4-c 1.9.4 h313beb8_0
    - make 4.3 h620ffc9_1
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.13 h1a28f6b_0
    - pcre 8.45 hc377ac9_0
    - rhash 1.4.3 h02f6b3c_0
    - swig 4.0.2 hc377ac9_4
    - tapi 1100.0.11 h8754e6a_1
    - xz 5.4.6 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
    - zstd 1.5.5 hd90d995_0
  host:
    - blas 1.0 openblas
    - ca-certificates 2023.12.12 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libfaiss 1.8.0 hcb8d3e5_0_cpu
    - libffi 3.4.4 hca03da5_0
    - libgfortran 5.0.0 11_3_0_hca03da5_28
    - libgfortran5 11.3.0 h009349e_28
    - libopenblas 0.3.21 h269037a_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - ncurses 6.4 h313beb8_0
    - numpy 1.26.4 py39h3b2db8e_0
    - numpy-base 1.26.4 py39ha9811e2_0
    - openssl 3.0.13 h1a28f6b_0
    - pip 23.3.1 py39hca03da5_0
    - python 3.9.18 hb885b13_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.2.2 py39hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py39hca03da5_0
    - xz 5.4.6 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - libcxx >=14.0.6
    - libfaiss 1.8.0 hcb8d3e5_0_cpu
    - numpy >=1.19,<2
    - packaging
    - python >=3.9,<3.10.0a0
test:
  commands:
    - python -X faulthandler -m unittest discover -v -s tests/ -p "test_*"
    - python -X faulthandler -m unittest discover -v -s tests/ -p "torch_*"
  files: null
  requires:
    - numpy
    - pytorch
    - scipy
  source_files:
    - tests/
about:
  home: https://github.com/facebookresearch/faiss
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A library for efficient similarity search and clustering of dense vectors.
extra:
  copy_test_source_files: true
  final: true
